var pr2_puvodni = "";

function inicializace()
{
        pr2_puvodni = document.form1.pr2.value;    
}

function ukaz(jmeno) 
{
a = document.form1.pr2.value;
b = a.toUpperCase();
c = b.indexOf("<HTML>");

if (c == -1)
     window.alert("Toto není HTML kód!");
else
{
var OpenWindow=window.open("", "okno", "scrollbars=yes, height=400, width=500, left="+ (window.screen.width/2 - 250)+", top="+(window.screen.height/2 - 200));
	
 with (OpenWindow.document)
  {
        write(form1.pr2.value);
	close();    
  }
        OpenWindow.focus();
}
}


function ukaz_puvodni(jmeno) 
{
var	puvodni = window.confirm("NÁVRAT K PŮVODNÍMU HTML KÓDU?");
	
			if (puvodni)
			{
				document.form1.pr2.value = pr2_puvodni;
			}
}

function zoom(name,w_roz,h_roz)
{
    ret="left=0,top=0,width="+w_roz+",height="+h_roz+","
     no=window.open("","zoom",ret+
     "toolbar=no,location=no,directories=no,status=no,menubar=no"+
     ",scrollbars=no,resizable=yes,copyhistory=no");

  with (no.document)
  {
    open();
    writeln('<HTML>\n<HEAD><TITLE>ZOOM</TITLE></HEAD>');
    writeln('<HTML>\n<BODY TOPMARGIN="0" LEFTMARGIN="0">');
    writeln('<IMG SRC="' +name + '" width="100%" height="100%" onclick="window.close()">');
    writeln('</BODY>\n</HTML>');
    close();
    
  }
    no.focus();
}
function zobraz(name)
{
  void(0);
  k=name;
  window.open(k+'/default.htm','nove','width=' + parseInt(screen.availWidth-10) + ',height=' + parseInt(screen.availHeight-25) + ', top=0, left=0');
}



<!-- ;
var newwindow;
var wheight = 0, wwidth = 0;

function popitup5(url, title, iwidth, iheight, colour) {
var pwidth, pheight;

if ( !newwindow || newwindow.closed ) {
pwidth=iwidth+30;
pheight=iheight+30;
newwindow=window.open('','htmlname','width=' + pwidth +',height=' +pheight + ',resizable=1,top=0,left=0');
wheight=iheight;
wwidth=iwidth;
}

if (wheight!=iheight || wwidth!=iwidth ) {
pwidth=iwidth+30;
pheight=iheight+90;
newwindow.resizeTo(pwidth, pheight);
wheight=iheight;
wwidth=iwidth;
}

newwindow.document.clear();
newwindow.focus();
newwindow.document.writeln('<html> <head> <title>' + title + '<\/title> <\/head> <body bgcolor= \"' + colour + '\"> <center>');
newwindow.document.writeln('<img src=' + url + ' width="100%" height="100%"  title=\"' + title + '\" alt=\"' + title + '\" + " onclick="window.close()">');
newwindow.document.writeln('<\/center> <\/body> <\/html>');
newwindow.document.close();
newwindow.focus();
}

// Routines to tidy up popup windows when page is left
// Call with an onUnload="tidy5()" in body tag

function tidy5() {
if (newwindow && !newwindow.closed) { newwindow.close(); }
}

// Based on JavaScript provided by Peter Curtis at www.pcurtis.com -->

